global:
  ref: master
  project: beekersbox
  dockerRepoOverride: docker-registry.zooxlabs.com
  gitRepoUrl: git@git.zooxlabs.com:zooxco/driving.git
  createNamespace: true
  runCI: false
  helmChartPath: infra/helm/beekersbox
  vpcId: vpc-043ed6ca2955dd897
  istio:
    enabled: false

  jaeger:
    enabled: false
    esUrl: https://vpc-firaoqtbvvqxmuuiwdgzpgeldwao-bgykekya3z6idzpihxclaljmoa.us-west-2.es.amazonaws.com:443

  services:
    flashblade:
      imageName: apache-fileserver-basic
      imageTag: v0
      ingress:
        enabled: true
      livenessProbe:
        httpGet:
          path: /
          port: http
      readinessProbe:
        httpGet:
          path: /
          port: http
      volumes:
        - name: flashblade
          nfs:
            server: flashstore01.zooxlabs.com
            path: /mnt/pool0/flashblade
      volumeMounts:
        - name: flashblade
          mountPath: /mnt/flashblade
      env:
        APACHE_PORT:
          value: 8080
        DIR_ROOT:
          value: /mnt/flashblade

    sunpcs:
      imageName: apache-fileserver-basic
      imageTag: v0
      ingress:
        enabled: true
      livenessProbe:
        httpGet:
          path: /
          port: http
      readinessProbe:
        httpGet:
          path: /
          port: http
      volumes:
        - name: sun-pcs01
          nfs:
            server: sun-pcs01-nfs.zooxlabs.com
            path: /sun-pcs01
      volumeMounts:
        - name: sun-pcs01
          mountPath: /mnt/sun-pcs01
      env:
        APACHE_PORT:
          value: 8081
        DIR_ROOT:
          value: /mnt/sun-pcs01

    nautilus:
      imageName: apache-fileserver-basic
      imageTag: v0
      ingress:
        enabled: true
      livenessProbe:
        httpGet:
          path: /
          port: http
      readinessProbe:
        httpGet:
          path: /
          port: http
      volumes:
        - name: nautilus-rw
          cephfs:
            monitors:
            - 10.65.7.203:6789
            - 10.65.7.204:6789
            - 10.65.7.205:6789
            readOnly: true
            user: logs_rw
            secretRef:
              name: ceph-secret
      volumeMounts:
        - name: nautilus-rw
          mountPath: /mnt/nautilus_rw
      env:
        APACHE_PORT:
          value: 8082
        DIR_ROOT:
          value: /mnt/nautilus_rw

    sunpcp:
      imageName: apache-fileserver-basic
      imageTag: v0
      ingress:
        enabled: true
      livenessProbe:
        httpGet:
          path: /
          port: http
      readinessProbe:
        httpGet:
          path: /
          port: http
      volumes:
        - name: sun-pcp01
          nfs:
            server: sun-pcpstore01.zooxlabs.com
            path: /sun_pcp01
      volumeMounts:
        - name: sun-pcp01
          mountPath: /mnt/sun-pcp01
      env:
        APACHE_PORT:
          value: 8083
        DIR_ROOT:
          value: /mnt/sun-pcp01

zoox-base:
  enabled: true

ci-pipeline:
  enabled: false

